from pathlib import Path
chapters = Path("chapters_math").read_text().splitlines()

def compare(a, b):
  if "n" not in input(f"Tu préfères {a} à {b}?\n> ").strip().lower():
    return True
  return False

def quicksort(chapters):
  if len(chapters) <= 1:
    return chapters
  pivot = chapters[0]
  lower, pivots, higher = [], [], []
  for element in chapters:
    if element == pivot: pivots.append(element)
    elif compare(element, pivot):
      higher.append(element)
    else:
      lower.append(element)
  return quicksort(lower) + pivots + quicksort(higher)

Path("chapters_math_sorted").write_text("\n".join(quicksort(chapters)))
